=== debian/changelog ===
rockbox (2011-03-18maemo0) unstable; urgency=low

  * Implemented RTC support (timestamps in last.FM scrobbler log)
  * Working sleep timer
  * Working idle poweroff
  * Support for antialised fonts (not in use yet)
  * Update to latest rockbox SVN code

 -- Thomas Jarosch <tomj@simonv.com>  Fri, 18 Mar 2011 22:00:00 +0100
